<template>
  <div class="hamburger" @click="toggleClick" :class="{'active': isActive}">
    <span class="line1"></span>
    <span class="line2"></span>
    <span class="line3"></span>
    <span class="line4"></span>
  </div>
</template>

<script>
import Vue from 'vue';
import Component from 'vue-class-component';

@Component({
  props: {
    isActive: Boolean,
    toggleClick: Function,
  },
})
export default class Hamburger extends Vue {}
</script>

<style lang="stylus" scoped>
.hamburger
  outline 0
  height $navbar-height
  width 65px
  position relative
  cursor pointer
  .line1
  .line2
  .line3
  .line4
    position absolute
    top 20px
    left 20px
    height 1px
    width 18px
    background $color-abbey
    box-shadow 0px 1px 1px $color-athensgray;
    transition all .2s ease-in-out
  .line2
  .line4
    width 14px
  .line2
    top 24px
  .line3
    top 28px
  .line4
    top 32px

  &.active
    .line2
    .line4
      opacity 0
    .line1
    .line3
      top 26px
    .line1
      transform rotate3d(0, 0, 1, 45deg)
    .line3
      transform rotate3d(0, 0, 1, -45deg)
</style>